/* General styling */
body {
  text-align: center;
  margin: 0;
  font-family: Arial, sans-serif;
  background-color: #f0f0f0;
  height: 100vh;
  display: flex;
  flex-direction: column;
}

h1,
h2 {
  margin-top: 1rem;
}

/* Button Styles */
.btn {
  height: 11rem;
  width: 11rem;
  border-radius: 20%;
  border: 8px solid black;
  margin: 0.8rem;
  cursor: pointer;
  transition: transform 0.2s;
}

.btn:hover {
  transform: scale(1.05);
}

.red {
  background-color: #bd394f;
}
.yellow {
  background-color: #c5d11f;
}
.green {
  background-color: #39bd51;
}
.blue {
  background-color: #332bbd;
}

.gameFlash {
  background-color: white;
}
.userFlash {
  background-color: black;
}
.colorChange {
  background-color: red;
}

/* Button container */
.btn-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  max-width: 600px;
  margin: 1rem auto;
}

/* Media Query for small screens (mobile) */
@media (max-width: 450px) {
  body {
    align-items: center;
    justify-content: center;
  }
  .btn-container {
    width: 100%;
    padding: 0 10px;
  }

  .btn {
    width: 8rem;
    height: 8rem;
    margin: 0.5rem;
  }

  h1 {
    font-size: 1.8rem;
    margin-left: 1rem;
  }
  h2 {
    font-size: 1rem;
    margin-left: 1rem;
  }
}
